org.apache.lucene.index

## Class AssertingAtomicReader.AssertingTerms

- java.lang.Object
- - org.apache.lucene.index.Terms
  - - org.apache.lucene.index.FilterAtomicReader.FilterTerms
    - - org.apache.lucene.index.AssertingAtomicReader.AssertingTerms

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingTerms
    extends FilterAtomicReader.FilterTerms

Wraps a Terms but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterAtomicReader.FilterTerms

`in`

### Fields inherited from class org.apache.lucene.index.Terms

`EMPTY_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`AssertingAtomicReader.AssertingTerms(Terms in)`

### Method Summary

Methods
`TermsEnum` `intersect(CompiledAutomaton automaton, BytesRef bytes)`
`TermsEnum` `iterator(TermsEnum reuse)`

### Methods inherited from class org.apache.lucene.index.FilterAtomicReader.FilterTerms

`getComparator, getDocCount, getSumDocFreq, getSumTotalTermFreq, hasOffsets, hasPayloads, hasPositions, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingAtomicReader.AssertingTerms

    public AssertingAtomicReader.AssertingTerms(Terms in)

### Method Detail

#### intersect

    public TermsEnum intersect(CompiledAutomaton automaton,
                      BytesRef bytes)
                        throws IOException

Overrides:
  `intersect` in class `FilterAtomicReader.FilterTerms`
Throws:
  `IOException`

#### iterator

    public TermsEnum iterator(TermsEnum reuse)
                       throws IOException

Overrides:
  `iterator` in class `FilterAtomicReader.FilterTerms`
Throws:
  `IOException`